Bug 617326

Summary: Providing native systemd file for upcoming F14 Feature Systemd
Product: [Fedora] Fedora Reporter: Jóhann B. Guðmundsson <johannbg>
Component: fprintdAssignee: Bastien Nocera <bnocera>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: bnocera, lpoetter, tcallawa, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-10-29 08:32:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713562    
Attachments:
Description Flags
Native systemd file for fprintd
none
Adds systemd support, --with-systemd configure option none

Description Jóhann B. Guðmundsson 2010-07-22 15:07:09 EDT
Created attachment 433782 [details]
Native systemd file for fprintd

Description of problem:

The attached file is a native systemd file for upcoming F14 Feature [1]

Please read [2] on how to installing systemd Service files.

1.http://fedoraproject.org/wiki/Features/systemd
2.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/Daemon#Installing_Systemd_Service_Files

If you have any question dont hesitate to ask them on this bug report.

Thank you.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2010-07-22 18:39:12 EDT
What's the use when fprintd is auto-started when needed (eg. when applications actually use it, such as login programs, or user management apps)?
Comment 2 Bug Zapper 2010-07-30 08:45:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Lennart Poettering 2010-08-10 09:57:58 EDT
The advantage is that we can start fprintd a little bit in advance: i.e. given that gdm uses it anyway it might make sense to start it already when we know we will go into graphical mode, so that it is already there when gdm asks for it. Of course, this alone will not give much of a speed-up, but if we do this across the board, then everything should already be there the first time somebody asks for it. In the current scheme we will start everything bus actviated exclusively on-demand which means that when somebody uses it he must wait until its startup is completed. This artificially slows down the boot and limtis parallelization.

Of course, this kind of early start-up only makes sense if we are pretty sure that the service will be required anyway, which I think is the case for fprintd.

But even ignoring this: it is a good idea to maintain bus activated services inside of systemd, simply because they then show up as normal daemons to the admin, he can inspect and control them with the usual tools and so on. We want services maintained at a single place, with a single UI instead of having a gazillion different ways how thigns are spawned and maintained.
Comment 4 Lennart Poettering 2010-08-10 09:59:29 EDT
BTW, if upstream is open for it I'd actually like to see this integrated upstream if possible.
Comment 5 Bastien Nocera 2010-08-10 10:30:27 EDT
(In reply to comment #4)
> BTW, if upstream is open for it I'd actually like to see this integrated
> upstream if possible.    

There's no upstream. Feel free to provide a patch to get it integrated anyway, and I'll commit it.
Comment 6 Bastien Nocera 2010-08-19 13:06:46 EDT
Johann, could you create a patch against upstream instead?

Git tree is at:
http://cgit.freedesktop.org/libfprint/fprintd/
Comment 7 Bill Nottingham 2011-04-26 13:35:37 EDT
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy
Comment 8 Tom "spot" Callaway 2011-09-23 15:15:28 EDT
Created attachment 524675 [details]
Adds systemd support, --with-systemd configure option

Bastien, this patch adds:

* --with-systemd flag to configure
* configure checks for systemd.pc, if found, sets HAVE_SYSTEMD
* data/Makefile.am has conditional on HAVE_SYSTEMD to install fprintd.service
* New file: data/fprintd.service
Comment 9 Fedora End Of Life 2013-04-03 14:29:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Zbigniew Jędrzejewski-Szmek 2013-04-30 15:25:36 EDT
This bug can be closed:
% rpm -q fprintd
fprintd-0.5.0-1.fc19.x86_64
% rpm -ql fprintd|grep service
/usr/lib/systemd/system/fprintd.service
/usr/share/dbus-1/system-services/net.reactivated.Fprint.service